Bug 1572531 - [3.10 REF]Shouldn't show .operations index in non-ops kibana
Summary: [3.10 REF]Shouldn't show .operations index in non-ops kibana
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.10.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 08:59 UTC by Junqi Zhao
Modified: 2019-10-30 17:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1519709
Environment:
Last Closed: 2019-10-30 17:13:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
.operations index is still visible in non-ops kibana (52.14 KB, image/png)
2018-08-09 12:19 UTC, Junqi Zhao
no flags Details

Comment 1 Jeff Cantrill 2018-08-08 20:39:59 UTC
Moving to ON_QA because the original PR https://github.com/openshift/origin-aggregated-logging/pull/835 was merged in the 3.9 timeframe so I expect this has been resolved.  Please verify

Comment 2 Junqi Zhao 2018-08-09 12:18:49 UTC
Issue is not fixed, .operations index is still visible in non-ops kibana, see the attached picture.

Images version: v3.10.27-1

Parameters
openshift_logging_install_logging=true
openshift_logging_es_cluster_size=1
openshift_logging_elasticsearch_memory_limit=1Gi
openshift_logging_use_ops=true
openshift_logging_es_ops_memory_limit=1Gi
openshift_logging_es_ops_cluster_size=1
openshift_logging_use_mux=true

# oc get pod 
NAME                                          READY     STATUS    RESTARTS   AGE
logging-curator-1-gww4q                       1/1       Running   0          24m
logging-curator-ops-1-k9f7q                   1/1       Running   0          23m
logging-es-data-master-hnyeyln2-1-xswdz       2/2       Running   0          21m
logging-es-ops-data-master-ily3n1do-1-jk4xr   2/2       Running   0          21m
logging-fluentd-6x4g5                         1/1       Running   0          22m
logging-fluentd-7mg49                         1/1       Running   0          22m
logging-fluentd-jl7j9                         1/1       Running   0          22m
logging-kibana-1-wwhbf                        2/2       Running   0          25m
logging-kibana-ops-1-ds2m6                    2/2       Running   0          25m
logging-mux-1-zslg8                           1/1       Running   0          23m

# oc rsh logging-es-data-master-hnyeyln2-1-xswdz
Defaulting container name to elasticsearch.
Use 'oc describe pod/logging-es-data-master-hnyeyln2-1-xswdz -n openshift-logging' to see all of the containers in this pod.
sh-4.2$ env | grep -i OSE_ES_VER
OSE_ES_VER=2.4.4.22
sh-4.2$ env | grep -i ver 
OSE_ES_VER=2.4.4.22
RECOVER_EXPECTED_NODES=1
ES_VER=2.4.4
RECOVER_AFTER_NODES=1
PROMETHEUS_EXPORTER_VER=2.4.4.1
ES_CLOUD_K8S_VER=2.4.4.01
RECOVER_AFTER_TIME=5m
JAVA_VER=1.8.0

Comment 3 Junqi Zhao 2018-08-09 12:19:41 UTC
Created attachment 1474665 [details]
.operations index is still visible in non-ops kibana

Comment 4 Jeff Cantrill 2018-08-09 13:39:47 UTC
Is this from a cluster freshly installed or one in which it was possibly migrated from one version to the next?

Comment 5 Junqi Zhao 2018-08-10 00:22:33 UTC
(In reply to Jeff Cantrill from comment #4)
> Is this from a cluster freshly installed or one in which it was possibly
> migrated from one version to the next?

it is a fresh environment and then installed logging

Comment 6 Jeff Cantrill 2019-10-30 17:13:53 UTC
Closing WONTFIX due to current priorities and move to operators and no explicit log cluster separation in 4.x


Note You need to log in before you can comment on or make changes to this bug.